%define upstream_name    File-FnMatch
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 34

Summary:	Simple filename and pathname matching
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}-%{upstream_version}FnMatch.pm
Source0:	https://cpan.metacpan.org/authors/id/M/MJ/MJP/File-FnMatch-0.02.tar.gz

BuildRequires:	perl-devel

%{?perl_default_filter}
# Prevent useless requires on "perl >= 5.004" that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}5.004

%description
File::FnMatch::fnmatch() provides simple, shell-like pattern matching.

Though considerably less powerful than regular expressions, shell patterns
are nonetheless useful and familiar to a large audience of end-users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor <<EOF
EOF
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/*/*




%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.20.0-34.mga10
+ Revision: 2088047
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.20.0-33.mga10
+ Revision: 2010579
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.20.0-32.mga9
+ Revision: 1861898
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.20.0-31.mga9
+ Revision: 1795457
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 0.20.0-30.mga9
+ Revision: 1726342
- rebuild for rebuild for perl-5.34.0

* Wed Jun 17 2020 umeabot <umeabot> 0.20.0-29.mga8
+ Revision: 1594791
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.20.0-28.mga8
+ Revision: 1528729
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tmb <tmb> 0.20.0-27.mga8
+ Revision: 1432540
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.20.0-26.mga7
+ Revision: 1292843
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.20.0-25.mga7
+ Revision: 1247531
- rebuild for perl 5.28
+ pterjan <pterjan>
- Rebuild for perl 5.28
+ tv <tv>
- use right dir macro else it breaks with perl-5.28

* Mon Oct 02 2017 tv <tv> 0.20.0-22.mga7
+ Revision: 1164329
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.20.0-21.mga7
+ Revision: 1148886
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.20.0-20.mga7
+ Revision: 1127626
- Rebuild against new Perl 5.26

* Mon Jun 06 2016 tv <tv> 0.20.0-19.mga6
+ Revision: 1020413
- unbloat default install: prevent pulling full perl...

* Fri Feb 12 2016 umeabot <umeabot> 0.20.0-18.mga6
+ Revision: 957319
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.20.0-17.mga6
+ Revision: 867845
- rebuild for new gcc

* Fri Jun 26 2015 tv <tv> 0.20.0-16.mga6
+ Revision: 844868
- rebuild for soname-ifed perl

* Tue Jun 23 2015 fwang <fwang> 0.20.0-15.mga6
+ Revision: 840453
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-14.mga5
+ Revision: 747093
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.20.0-13.mga5
+ Revision: 732136
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-12.mga5
+ Revision: 684731
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.20.0-11.mga5
+ Revision: 630737
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-10.mga4
+ Revision: 524075
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.20.0-9.mga4
+ Revision: 429930
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-8.mga3
+ Revision: 367256
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 09 2012 dmorgan <dmorgan> 0.20.0-7.mga3
+ Revision: 328992
- Rebuild for missing signature

* Sat Jun 11 2011 sander85 <sander85> 0.20.0-6.mga2
+ Revision: 103628
- perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.20.0-5.mga1
+ Revision: 23767
- rebuild

* Tue Jan 18 2011 blino <blino> 0.20.0-4.mga1
+ Revision: 23265
- rebuild for new perl
+ jquelin <jquelin>
- imported package perl-File-FnMatch


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 0.20.0-3mdv2011.0
+ Revision: 564435
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.20.0-2mdv2011.0
+ Revision: 555284
- rebuild

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 409299
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.02-5mdv2009.1
+ Revision: 351748
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.02-4mdv2009.0
+ Revision: 223732
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.02-3mdv2008.1
+ Revision: 152076
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 0.02-2mdv2008.0
+ Revision: 23410
- rebuild


* Tue May 16 2006 Olivier Blin <oblin@mandriva.com> 0.02-1mdk
- initial Mandriva release

